Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2142070 - python-check-manifest fails to build with pytest 7.2.0 - missing tomli
Summary: python-check-manifest fails to build with pytest 7.2.0 - missing tomli
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-check-manifest
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS PYTHON3.12 2137514
TreeView+ depends on / blocked
 
Reported: 2022-11-11 14:01 UTC by Lumír Balhar
Modified: 2023-08-03 05:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-03 05:56:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Lumír Balhar 2022-11-11 14:01:23 UTC
I'm testing an update of pytest to 7.2.0 and I've discovered that this package fails to build with it. The reason is a change in the dependencies of pytest.

This package should depend on python3-tomli instead of python3-toml. Upstream is already prepared to use new stdlib tomllib but the code is not released yet: https://github.com/mgedmin/check-manifest/blob/6982e1ae6546eff5e812df0fd101afba54ffc360/check_manifest.py#L38-L41

When we update pytest, it'll no longer bring python3-tomli to the buildroot and this package will fail to build.

If you want to, you can find the failed build in https://copr.fedorainfracloud.org/coprs/lbalhar/pytest/

The plan is to update pytest in ~2 weeks.

Comment 1 Lumír Balhar 2022-11-23 12:20:40 UTC
Our plan is to ship the updated pytest during the next week. If you need any assistance from us, feel free to say so.

Comment 2 Ben Cotton 2023-02-07 14:58:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.


Note You need to log in before you can comment on or make changes to this bug.